org.apache.ivy.osgi.p2

## Class P2MetadataParser

- java.lang.Object
- - org.apache.ivy.osgi.p2.P2MetadataParser

All Implemented Interfaces:
  XMLInputParser

    public class P2MetadataParser
    extends java.lang.Object
    implements XMLInputParser

### Constructor Summary

Constructors
Constructor and Description
`P2MetadataParser(P2Descriptor p2Descriptor)`

### Method Summary

Methods
`void` `parse(java.io.InputStream in)`
`void` `setLogLevel(int logLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### P2MetadataParser

    public P2MetadataParser(P2Descriptor p2Descriptor)

### Method Detail

#### setLogLevel

    public void setLogLevel(int logLevel)

#### parse

    public void parse(java.io.InputStream in)
               throws java.text.ParseException,
                      java.io.IOException,
                      org.xml.sax.SAXException

Specified by:
  `parse` in interface `XMLInputParser`
Throws:
  `java.text.ParseException`
  `java.io.IOException`
  `org.xml.sax.SAXException`